---
# tasks file for plc_k3s
- name: Fix prerequirements
  include_tasks:
    file: prereq.yml
    apply:
      tags:
        - prereq

- name: Download k3s binary
  include_tasks:
    file: download.yml
    apply:
      tags:
        - download

- name: Setup ubuntu specific stuff
  include_tasks:
    file: ubuntu.yml
    apply:
      tags:
        - ubuntu

- name: Run master specific tasks on master only
  include_tasks:
    file: k3s_master.yml
    apply:
      tags:
        - master
  when: "'master' in group_names"

- name: Run node specific tasks on nodes only
  include_tasks:
    file: k3s_node.yml
    apply:
      tags:
        - node
  when: "'node' in group_names"

- name: Setup workstation for connecting to k3s cluster
  include_tasks:
    file: localhost_setup.yml
    apply:
      tags:
        - localhost
  when:
    - kubectl_to_localhost
    - "'master' in group_names"

- name: Setup calico networking
  include_tasks:
    file: calico_networking.yml
    apply:
      tags:
        - calico
        - networking
  when:
    - calico_networking
